%define _name moonshot_totp
%define name freeradius-moonshot-totp
%define version 0.5
%define release 1

Summary: Moonshot TOTP module for FreeRADIUS
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source0: moonshot_totp.pl
Source1: moonshot_totp
License: BSD
Group: Development/Libraries
BuildArch: noarch
Requires: freeradius-perl
Requires: perl-Digest-HMAC

%if 0%{?rhel} < 8
Requires: perl-MIME-Base32
%else
Requires: perl-Math-BigInt
%endif

%description
Moonshot TOTP module for FreeRADIUS

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .

%build

%install
install -Dpm 755 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/raddb/mods-config/moonshot_totp/moonshot_totp.pl
install -Dpm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/raddb/mods-available/moonshot_totp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sysconfdir}/raddb/mods-config/moonshot_totp/moonshot_totp.pl
%{_sysconfdir}/raddb/mods-available/moonshot_totp
